org.apache.ignite.kubernetes.configuration

## Class KubernetesConnectionConfiguration

- java.lang.Object
- - org.apache.ignite.kubernetes.configuration.KubernetesConnectionConfiguration

-     public class KubernetesConnectionConfiguration
      extends Object

  Configuration for Kubernetes connection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KubernetesConnectionConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccountToken()` Get Kubernetes account token.
    `boolean` | `getIncludeNotReadyAddresses()` Get flag include not ready addresses.
    `String` | `getMaster()` Get Kubernetes master url.
    `String` | `getNamespace()` Get Kubernetes namespace.
    `String` | `getServiceName()` Get Kubernetes service name.
    `KubernetesConnectionConfiguration` | `setAccountToken(String accountToken)` Specifies the path to the service token file.
    `KubernetesConnectionConfiguration` | `setIncludeNotReadyAddresses(boolean includeNotReadyAddresses)` Determines whether addresses of not-ready pods should be included.
    `KubernetesConnectionConfiguration` | `setMasterUrl(String master)` Sets the host name of the Kubernetes API server.
    `KubernetesConnectionConfiguration` | `setNamespace(String namespace)` Sets the namespace the Kubernetes service belongs to.
    `KubernetesConnectionConfiguration` | `setServiceName(String service)` Sets the name of Kubernetes service for Ignite pods' IP addresses lookup.
    `void` | `verify()` Verify that configuration is valid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KubernetesConnectionConfiguration

          public KubernetesConnectionConfiguration()

  - ### Method Detail

    - #### setServiceName

          public KubernetesConnectionConfiguration setServiceName(String service)

      Sets the name of Kubernetes service for Ignite pods' IP addresses lookup. The name of the service must be equal to the name set in service's Kubernetes configuration. If this parameter is not changed then the name of the service has to be set to 'ignite' in the corresponding Kubernetes configuration.
      Parameters:
        `service` - Kubernetes service name for IP addresses lookup. If it's not set then 'ignite' is used by default.
      Returns:
        `this` for chaining.

    - #### getServiceName

          public String getServiceName()

      Get Kubernetes service name.

    - #### setNamespace

          public KubernetesConnectionConfiguration setNamespace(String namespace)

      Sets the namespace the Kubernetes service belongs to. By default, it's supposed that the service is running under Kubernetes `default` namespace.
      Parameters:
        `namespace` - The Kubernetes service namespace for IP addresses lookup.
      Returns:
        `this` for chaining.

    - #### getNamespace

          public String getNamespace()

      Get Kubernetes namespace.

    - #### setMasterUrl

          public KubernetesConnectionConfiguration setMasterUrl(String master)

      Sets the host name of the Kubernetes API server. By default the following host name is used: 'https://kubernetes.default.svc.cluster.local:443'.
      Parameters:
        `master` - The host name of the Kubernetes API server.
      Returns:
        `this` for chaining.

    - #### getMaster

          public String getMaster()

      Get Kubernetes master url.

    - #### setAccountToken

          public KubernetesConnectionConfiguration setAccountToken(String accountToken)

      Specifies the path to the service token file. By default the following account token is used: '/var/run/secrets/kubernetes.io/serviceaccount/token'.
      Parameters:
        `accountToken` - The path to the service token file.
      Returns:
        `this` for chaining.

    - #### getAccountToken

          public String getAccountToken()

      Get Kubernetes account token.

    - #### setIncludeNotReadyAddresses

          public KubernetesConnectionConfiguration setIncludeNotReadyAddresses(boolean includeNotReadyAddresses)

      Determines whether addresses of not-ready pods should be included. Default is false.
      Parameters:
        `includeNotReadyAddresses` - Flag to include not-ready pods.
      Returns:
        `this` for chaining.

    - #### getIncludeNotReadyAddresses

          public boolean getIncludeNotReadyAddresses()

      Get flag include not ready addresses.

    - #### verify

          public void verify()

      Verify that configuration is valid.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021